From 624bab91237c80a394c965794a07cca42eaf47dc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 09 2021 06:45:31 +0000
Subject: [PATCH 2092/2232] Test Vec<usize> and Vec<isize> instantiation


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 8ed5456..68ec544 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -817,6 +817,14 @@ extern "C" const char *cxx_run_test() noexcept {
   ASSERT(vec1[0] == 3 && vec1[1] == 4);
   ASSERT(vec2[0] == 1 && vec2[1] == 2);
 
+  // Test Vec<usize> and Vec<isize>. These are weird because on Linux and
+  // Windows size_t is exactly the same C++ type as one of the sized integer
+  // types (typically uint64_t, both of which are defined as unsigned long),
+  // while on macOS it is a distinct type.
+  // https://github.com/dtolnay/cxx/issues/705
+  (void)rust::Vec<size_t>();
+  (void)rust::Vec<rust::isize>();
+
   cxx_test_suite_set_correct();
   return nullptr;
 }

